Subject: Re: [SIP] Call Park abd Call Pickup

From: Rohan Mahy <[email-masked]>
Date: Wed, 02 Aug 2000 08:17:39 +0200

At 05:05 AM 7/30/00 , Jonathan Rosenberg wrote:
>
>
>Rohan Mahy wrote:
>> 
>> Hi,
>> 
>> I think Pickup was well described in a previous thread.  If you wanted to
>> do traditional Park things, I can think of 4 variations (with or without
>> music, and with or without Revert)
>> 
>> I think I am suggesting essentially the same thing as Jo did.  You can read
>> both and see if either make sense to you.
>> 
>> A and B have an existing session.
>> 
>> B sends a REFER to A, which redirects their session to
>> 
>>          <sip:[email-masked]>
>> 
>> the forwarding logic for "so-queue-me"  would return a 182 call queued.  If
>> desired, music/announcements could be played using 183 with Session: media.
>> To retrieve the call just REGISTER "park-12" with a short expires timer.
>
>How would B know which park address to use? The park address has to be
>unique, and also has to
>be something the person picking up would know to use. My suggestion -
>instead of "12", you
>would use the URL or address of the host which performed the park:
>
><sip:[email-masked]>
>
>This way, if I want to pick up a call parked by B, I know I would have
>to try to register the address above. You could then define pickup
>groups by authenticating REGISTER, and only allowing people to register
>for park-foo if they are in a group allowed to pickup calls parked by
>foo.

Yes,

I agree.  That's also how I envision the feature working.  I just used
park-12, because I wanted to focus Hong on the call flows first.

thanks,
-r

_______________________________________________
SIP mailing list
[email-masked]
http://lists.bell-labs.com/mailman/listinfo/sip